import request from '@/utils/request'

/**
 * 用户管理员列表
 * @param {*} params 
 * @returns 
 */
export function listAdminUser(params) {
  return request({
    url: '/adminUser/list',
    method: 'get',
    params: {
      ...params
    }
  })
}
/**
 * 用户管理员详情
 * @param {*} params 
 * @returns 
 */
export function getAdminUser(params) {
  return request({
    url: '/adminUser/get',
    method: 'get',
    params: {
      ...params
    }
  })
}

/**
 * 用户管理员添加
 * @param {*} data 
 * @returns 
 */
export function addAdminUser(data) {
  return request({
    url: '/adminUser/add',
    method: 'post',
    data
  })
}


/**
 * 用户管理员添加
 * @param {*} data 
 * @returns 
 */
 export function updateAdminUser(data) {
  return request({
    url: '/adminUser/update',
    method: 'post',
    data
  })
}

/**
 * 用户管理员详情
 * @param {*} params 
 * @returns 
 */
 export function deleteAdminUser(params) {
  return request({
    url: '/adminUser/delete',
    method: 'get',
    params: {
      ...params
    }
  })
}