import request from '@/utils/request'

/**
 * 获取订单数据
 */
export function getDeliveryList(data) {
  return request({
    url: '/delivery/list',
    method: 'post',
    data
  })
}

/**
 * 签收回传
 */
export function signing(data) {
  return request({
    url: '/delivery/sign',
    method: 'post',
    data
  })
}

/**
 * 获取快递账号
 * @param data
 */
export function getDepts(data) {
  return request({
    url: '/expressDept/getDepts',
    method: 'post',
    data
  })
}

/**
 * 保存快递账号
 * @param data
 */
export function saveDept(data) {
  return request({
    url: '/expressDept/save',
    method: 'post',
    data
  })
}

/**
 * 删除记录
 * @param data
 */
export function deleteById(data) {
  return request({
    url: '/expressDept/delete/' + data,
    method: 'get'
  })
}

/**
 * 启用或者禁用
 * @param data
 */
export function enableById(data) {
  return request({
    url: '/expressDept/enable/' + data,
    method: 'get'
  })
}

/**
 * 获取快递账户列表
 * @param data
 */
export function getDeptAccounts(data) {
  return request({
    url: '/expressDept/getDeptAccounts',
    method: 'post',
    data
  })
}

/**
 * 获取快递账户列表
 * @param data
 */
export function getDeptsOption(data) {
  return request({
    url: '/expressDept/getDeptsOption/' + data,
    method: 'get'
  })
}

/**
 * 保存deptAcount
 * @param data
 */
export function saveDeptAcount(data) {
  return request({
    url: '/expressDept/saveAcount',
    method: 'post',
    data
  })
}

/**
 * 充值
 * @param data
 */
export function accountRecharge(data) {
  return request({
    url: '/expressDept/accountRecharge',
    method: 'post',
    data
  })
}

/**
 * 删除记录
 * @param data
 */
export function deleteAccountById(data) {
  return request({
    url: '/expressDept/delete/account/' + data,
    method: 'get'
  })
}

/**
 * 启用或者禁用
 * @param data
 */
export function enableAccountById(data) {
  return request({
    url: '/expressDept/enable/account/' + data,
    method: 'get'
  })
}

/**
 * 查询预充记录
 * @param data
 */
export function getRecords(data) {
  return request({
    url: '/expressDept/getRecords',
    method: 'post',
    data
  })
}

/**
 * 查询消费记录
 * @param data
 */
export function getConsumption(data) {
  return request({
    url: '/expressDept/getConsumeRecords',
    method: 'post',
    data
  })
}

/**
 * 查询消费记录
 * @param data
 */
export function getDeliveries(data) {
  return request({
    url: '/expressDept/getDeliveries',
    method: 'post',
    data
  })
}

