import request from '@/utils/request'

/**
 * 资源列表
 */
export const listMenu = () => request({
  url: '/menu/list',
  method: 'get'
})

/**
 * 资源添加
 * @param {*} data
 */
export function addMenu(data) {
  return request({
    url: '/menu/add',
    method: 'post',
    data
  })
}
/**
 * 资源修改
 * @param {*} data
 */
export function updateMenu(data) {
  return request({
    url: '/menu/update',
    method: 'post',
    data
  })
}
/**
 * 删除资源
 * @param {*} id
 */
export function deleteMenu(id) {
  return request({
    url: '/menu/delete',
    method: 'get',
    params: { 'id': id }
  })
}

/**
 * 当前角色菜单
 * @param {*} id 角色id
 */
 export function listMenuAll(id) {
  return request({
    url: '/menu/roleMenu/all',
    method: 'get'
  })
}

export const getRoutes = () => request({
  url: '/menu/role_router',
  method: 'get'
});

export const getApiPermission = () => request({
  url: '/menu/get_api_permission',
  method: 'get'
});