import request from '@/utils/request'

/**
 * 获取所有平台
 */
export function getAllPlatform() {
  return request({
    url: '/platform/getAll',
    method: 'get'
  })
}

/**
 * 发送短信
 */
export function resendSms(data) {
  return request({
    url: '/sms/resendSms',
    method: 'post',
    data
  })
}

/**
 * 获取短信记录
 */
export function getSmsRecord(data) {
  return request({
    url: '/sms/getSmsRecord',
    method: 'post',
    data
  })
}

/**
 * 获取短信记录总条数
 */
export function getSmsRecordCount(data) {
  return request({
    url: '/sms/getSmsRecordCount',
    method: 'post',
    data
  })
}

/**
 * 获取公告集合
 */
export function getNotice(data) {
  return request({
    url: '/sms/getNotice',
    method: 'post',
    data
  })
}

/**
 * 保存通告
 */
export function saveNotice(data) {
  return request({
    url: '/sms/saveNotice',
    method: 'post',
    data
  })
}

/**
 * 删除通告
 */
export function deleteNotice(data) {
  return request({
    url: '/sms/deleteNotice',
    method: 'post',
    data
  })
}
/**
 * 发送通告
 */
export function sendMsg(data) {
  return request({
    url: '/notice/send',
    method: 'post',
    data
  })
}

