import request from '@/utils/request'

/**
 * 查询角色
 * @param {*} id
 */
export const listRole = (params) =>{
  return request({
    url: '/role/list',
    method: 'get',
    params: {
      ...params
    }
  })
}
/**
 * 获取所有角色
 * @param {*} id
 */
export const listRoleAll = (params) =>{
  return request({
    url: '/role/all',
    method: 'get',
    params: {
      ...params
    }
  })
}

/**
 * 角色添加
 * @param {*} data
 */
export function addRole(data) {
  return request({
    url: '/role/add',
    method: 'post',
    data
  })
}
/**
 * 角色修改
 * @param {*} data
 */
export function updateRole(data) {
  return request({
    url: '/role/update',
    method: 'post',
    data
  })
}
/**
 * 角色删除
 * @param {*} id
 */
export function deleteRole(id) {
  return request({
    url: '/role/delete',
    method: 'get',
    params: { 'id': id }
  })
}
/**
 * 查询角色
 * @param {*} id
 */
export function getRole(id) {
  return request({
    url: '/role/get',
    method: 'get',
    params: { 'id': id }
  })
}


/**
 * 查询角色权限
 * @param {*} id 角色id
 */
export function getRoleMenu(id) {
  return request({
    url: '/role/get_menu',
    method: 'get',
    params: { 'roleId': id }
  })
}
/**
 * 角色修改
 * @param {*} data
 */
export function bindRoleMenu(data) {
  return request({
    url: '/role/bind_menu',
    method: 'post',
    data
  })
}

/**
 * 查询角色拥有的模版权限
 * @param {*} id 角色id
 */
 export function getRoleTemplateMenu(id) {
  return request({
    url: '/role/get_role_template_menu',
    method: 'get',
    params: { 'roleId': id }
  })
}

/**
 * 查询角色
 * @param {*} id
 */
 export const listStoreRoleTemplate = (data) =>{
  return request({
    url: '/role/storeRoleTemplate/list',
    method: 'get',
    params: {
      ...data
    }
  })
}

/**
 * 门店角色模版添加
 * @param {*} data
 */
 export function addStoreRoleTemplate(data) {
  return request({
    url: '/role/storeRoleTemplate/add',
    method: 'post',
    data
  })
}

/**
 * 门店角色模版修改
 * @param {*} data
 */
 export function updateStoreRoleTemplate(data) {
  return request({
    url: '/role/storeRoleTemplate/update',
    method: 'post',
    data
  })
}
