import request from '@/utils/request'

/**
 * 获取门店外派员信息
 */
export function getStoreStaffList() {
  return request({
    url: '/storeStaff/list',
    method: 'get'
  })
}

/**
 * 查询
 * @param data
 */
export function queryStoreStaff(params) {
  return request({
    url: '/storeStaff/queryStaff',
    method: 'get',
    params: {
      ...params
    }
  })
}
/**
 * 详情
 * @param data
 */
export function detailStaff(params) {
  return request({
    url: '/storeStaff/detailStaff',
    method: 'get',
    params: {
      ...params
    }
  })
}

/**
 * 添加
 * @param data
 */
export function addStaff(data) {
  return request({
    url: '/storeStaff/addStaff',
    method: 'post',
    data
  })
}

/**
 * 修改
 * @param data
 */
export function updateStaff(data) {
  return request({
    url: '/storeStaff/updateStaff',
    method: 'post',
    data
  })
}

/**
 * 删除
 * @param data
 */
export function deleteStaff(params) {
  return request({
    url: '/storeStaff/deleteStaff',
    method: 'post',
    params: {
      ...params
    }
  })
}
