import request from '@/utils/request'

/**
 * 获取所有省
 */
export function getProvinces() {
  return request({
    url: '/options/getProvinces',
    method: 'get'
  })
}

/**
 * 获取所有市
 */
export function getCities() {
  return request({
    url: '/options/getCities',
    method: 'get'
  })
}

/**
 * 获取所区
 */
export function getAreas() {
  return request({
    url: '/options/getDistricts',
    method: 'get'
  })
}

/**
 * 根据区名称获取镇
 * @param areaName
 */
export function getTownShips(areaName) {
  return request({
    url: '/options/getTownships/' + areaName,
    method: 'get'
  })
}

/**
 * 获取所有公司
 */
export function getCompanies() {
  return request({
    url: '/company/getCompanies',
    method: 'get'
  })
}

/**
 * 获取所有获取短信模板
 */
export function getTemplates() {
  return request({
    url: '/storeTemplate/getTemplates',
    method: 'get'

  })
}

/**
 * 获取门店类型
 */
export function getStoreType() {
  return request({
    url: '/options/getStoreType',
    method: 'get'
  })
}

/**
 * 获取通知类型
 */
export function getReminderType() {
  return request({
    url: '/options/getReminderType',
    method: 'get'

  })
}

/**
 * 获取快递公司
 */
export function getExpressWithSignBack() {
  return request({
    url: '/express/getExpressWithSignBack',
    method: 'get'
  })
}

/**
 * 获取所有快递公司
 */
export function getAllExpress() {
  return request({
    url: '/express/getAllExpress',
    method: 'get'
  })
}

/**
 * 门店新增
 */
export function addStore(data) {
  return request({
    url: '/store/addStore',
    method: 'post',
    data
  })
}

/**
 * 查询门店列表
 */
export function getStoreList(data) {
  return request({
    url: '/store/getList',
    method: 'post',
    data

  })
}

/**
 * 查询门店通过门店id
 */
export function getStoreById(data) {
  return request({
    url: '/store/getStoreById',
    method: 'post',
    data
  })
}

/**
 * 修改门店信息
 */
export function updateStore(data) {
  return request({
    url: '/store/editInfo',
    method: 'post',
    data
  })
}

/**
 * 充值
 */
export function moneyStore(data) {
  return request({
    url: '/store/money',
    method: 'post',
    data
  })
}

/**
 * 禁用门店
 */
export function disableStore(data) {
  return request({
    url: '/store/disable',
    method: 'post',
    data
  })
}

/**
 * 获取所有门店信息
 */
export function getListStore() {
  return request({
    url: '/store/getListStore',
    method: 'get'
  })
}

/**
 * 获取所有门店信息
 */
export function getEnums(data) {
  return request({
    url: '/enums/getType/' + data,
    method: 'get'
  })
}

