import request from '@/utils/request'

/**
 * 获取系统配置
 */
export function getSystemConfig() {
  return request({
    url: '/config/list',
    method: 'get'

  })
}

/**
 * 保存系统配置
 */
export function save(data) {
  return request({
    url: '/config/save',
    method: 'post',
    data

  })
}

/**
 * 删除系统配置
 */
export function deleteById(data) {
  return request({
    url: '/config/delete',
    method: 'post',
    data

  })
}

/**
 * 获取系统日志
 */
export function getApiLogList(data) {
  return request({
    url: '/apiLog/list',
    method: 'post',
    data

  })
}

/**
 * 获取平台配置
 */
export function getPlatformList() {
  return request({
    url: '/config/platform/list',
    method: 'get'

  })
}

/**
 * 保存系统配置
 */
export function platformSave(data) {
  return request({
    url: '/config/platform/save',
    method: 'post',
    data

  })
}

/**
 * 删除系统配置
 */
export function platformDelete(data) {
  return request({
    url: '/config/platform/delete',
    method: 'post',
    data

  })
}

/**
 * 获取快递平台
 */
export function getExpressAndPlatform() {
  return request({
    url: '/system/getExpressAndPlatform',
    method: 'get'

  })
}

/**
 * 获取快递平台
 */
export function getAllListType() {
  return request({
    url: '/system/getAllListType',
    method: 'get'

  })
}

/**
 * 启用禁用快递平台
 */
export function typeEnable(data) {
  return request({
    url: '/system/type/enable/' + data,
    method: 'get'

  })
}

/**
 * 保存系统配置
 */
export function saveType(data) {
  return request({
    url: '/system/type/save',
    method: 'post',
    data

  })
}

/**
 * 删除快递平台
 */
export function deleteType(data) {
  return request({
    url: '/system/type/delete/' + data,
    method: 'get'

  })
}

/**
 * 通过type获取参数
 */
export function getDataByType(data) {
  return request({
    url: '/system/getDataByType/' + data,
    method: 'get'

  })
}

/**
 * 保存系统配置
 */
export function saveParam(data) {
  return request({
    url: '/system/param/save',
    method: 'post',
    data

  })
}

/**
 * 删除快递平台
 */
export function deleteParam(data) {
  return request({
    url: '/system/param/delete/' + data,
    method: 'get'

  })
}

/**
 * 启用禁用快递平台
 */
export function enableParam(id, typeId) {
  return request({
    url: '/system/param/enable/' + id + '/' + typeId,
    method: 'get'

  })
}

/**
 * 启用禁用快递平台
 */
export function getFileUrl(data) {
  return request({
    url: '/fileManagement/getFileUrl',
    method: 'post',
    data
  })
}

/**
 * 启用禁用快递平台
 */
export function deleteFileByName(data) {
  return request({
    url: '/fileManagement/deleteFileUrl',
    method: 'post',
    data
  })
}

