import Layout from '@/layout'

const expressMenu = {
  path: '/express',
  component: Layout,
  redirect: '/express',
  alwaysShow: true,
  name: '快递管理',
  meta: {
    title: '快递管理',
    icon: 'express',
    roles: ['admin', 'editor', 'accounting']
  },
  children: [
    {
      path: 'ExpList',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/ExpList')), 'ExpList'),
      name: 'expList',
      meta: {
        title: '签收回传',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'ExpDept',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/ExpDept')), 'ExpDept'),
      name: 'expDept',
      meta: {
        title: '快递账号',
        roles: ['admin', 'accounting'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'ExpAcount',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/ExpAcount')), 'ExpAcount'),
      name: 'expAcount',
      meta: {
        title: '快递账户',
        roles: ['admin', 'accounting'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'RecList',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/RecList')), 'RecList'),
      name: 'recList',
      meta: {
        title: '预充记录',
        roles: ['admin', 'accounting'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'ConsumptionList',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/ConsumptionList')), 'ConsumptionList'),
      name: 'consumptionList',
      meta: {
        title: '消费记录',
        roles: ['admin', 'accounting'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'ExpStatus',
      component: resolve => require.ensure([], () => resolve(require('@/views/express/ExpStatus')), 'ExpStatus'),
      name: 'expStatus',
      meta: {
        title: '快件状态',
        roles: ['admin', 'accounting'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default expressMenu
