import Layout from '@/layout'
const noticeMenu = {
  path: '/notice',
  component: Layout,
  redirect: '/notice',
  alwaysShow: true,
  name: '通知管理',
  meta: {
    title: '通知管理',
    icon: 'notice',
    roles: ['admin', 'editor']
  },
  children: [
    {
      path: 'SmsList',
      component: resolve => require.ensure([], () => resolve(require('@/views/notice/SmsList')), 'SmsList'),
      name: 'smsList',
      meta: {
        title: '消息查询',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'AppNotice',
      component: resolve => require.ensure([], () => resolve(require('@/views/notice/AppNotice')), 'AppNotice'),
      name: 'appNotice',
      meta: {
        title: 'APP通告',
        roles: ['admin'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default noticeMenu
