import Layout from '@/layout'
const storeMenu = {
  path: '/Store',
  component: Layout,
  redirect: '/store',
  alwaysShow: true,
  name: '门店管理',
  meta: {
    title: '门店管理',
    icon: 'store',
    roles: ['admin', 'editor']
  },
  children: [
    {
      path: 'StoreInformation',
      component: resolve => require.ensure([], () => resolve(require('@/views/store/StoreInformation')), 'StoreInformation'),
      name: 'storeInformation',
      meta: {
        title: '门店信息',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'AddStore',
      component: resolve => require.ensure([], () => resolve(require('@/views/store/AddStore')), 'AddStore'),
      name: 'addStore',
      meta: { title: '门店增加', roles: ['admin'] },
      hidden: true
    },
    {
      path: 'EditStore',
      component: resolve => require.ensure([], () => resolve(require('@/views/store/AddStore')), 'EditStore'),
      name: 'editStore',
      meta: { title: '门店编辑', roles: ['admin'] },
      hidden: true
    },
    {
      path: 'ViewStore',
      component: resolve => require.ensure([], () => resolve(require('@/views/store/AddStore')), 'ViewStore'),
      name: 'viewStore',
      meta: { title: '门店查看', roles: ['admin', 'editor'] },
      hidden: true
    }
  ]
}

export default storeMenu
