import Layout from '@/layout'
const sysMenu = {
  path: '/Sys',
  component: Layout,
  redirect: '/sys',
  alwaysShow: true,
  name: '系统管理',
  meta: {
    title: '系统管理',
    icon: 'sys',
    roles: ['admin']
  },
  children: [
    {
      path: 'SysConfig',
      component: resolve => require.ensure([], () => resolve(require('@/views/system/SysConfig')), 'SysConfig'),
      name: 'sysConfig',
      meta: {
        title: '系统配置',
        roles: ['admin'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'SysLog',
      component: resolve => require.ensure([], () => resolve(require('@/views/system/SysLog')), 'SysLog'),
      name: 'sysLog',
      meta: {
        title: '系统日志',
        roles: ['admin'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'SysParam',
      component: resolve => require.ensure([], () => resolve(require('@/views/system/SysParam')), 'SysParam'),
      name: 'sysParam',
      meta: {
        title: '系统参数',
        roles: ['admin'] // 设置该路由进入的权限，支持多个权限叠加
      }
    },
    {
      path: 'SysFile',
      component: resolve => require.ensure([], () => resolve(require('@/views/system/SysFile')), 'SysFile'),
      name: 'sysFile',
      meta: {
        title: '文件管理',
        roles: ['admin'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default sysMenu
