import { pustData, dateHandle } from '@/utils/validate'

/**
 * 数据处理
 * @param expForm
 * @param pageNumber
 * @param pageSize
 * @returns {*}
 */
export function expFormHandle(expForm, pageNumber, pageSize) {
  expForm.startTime = dateHandle(new Date(expForm.dataTime[0]))
  expForm.endTime = dateHandle(new Date(expForm.dataTime[1]))
  expForm.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  expForm.pageSize = pageSize // 每页多少条数据，可不传默认10条
  expForm.ids = (expForm.ids === null || expForm.ids.length === 0) ? null : expForm.ids
  return pustData(expForm)
}

/**
 * 数据处理
 * @param expForm
 * @returns {*}
 */
export function signHandle(expForm) {
  expForm.startTime = dateHandle(new Date(expForm.dataTime[0]))
  expForm.endTime = dateHandle(new Date(expForm.dataTime[1]))
  expForm.ids = (expForm.ids === null || expForm.ids.length === 0) ? null : expForm.ids
  return pustData(expForm)
}

/**
 * 包裹状态修改数据处理
 * @param expForm
 * @returns {*}
 */
export function updateStatusHandle(expForm) {
  expForm.idAndStoreIds = (expForm.idAndStoreIds === null || expForm.idAndStoreIds.length === 0) ? null : expForm.idAndStoreIds
  return pustData(expForm)
}

/**
 * 数据处理
 * @param expForm
 * @param pageNumber
 * @param pageSize
 * @returns {*}
 */
export function expFormHandle2(expForm, pageNumber, pageSize) {
  expForm.startTime = dateHandle(new Date(expForm.dataTime[0]))
  expForm.endTime = dateHandle(new Date(expForm.dataTime[1]))
  expForm.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  expForm.pageSize = pageSize // 每页多少条数据，可不传默认10条
  expForm.idAndStoreIds = (expForm.idAndStoreIds === null || expForm.idAndStoreIds.length === 0) ? null : expForm.idAndStoreIds
  return pustData(expForm)
}
/**
 * 快递账号数据处理
 * @param form
 * @param pageNumber
 * @param pageSize
 * @returns {*}
 */
export function expDeptHandle(form, pageNumber, pageSize) {
  form.createBeginTime = form.dataTime[0]
  form.createEndTime = form.dataTime[1]
  const areaCode = form.province + ',' + form.city + ',' + form.area
  form.areaCode = areaCode === ',,' ? null : areaCode
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}

/**
 * 快递账号数据处理
 * @param form
 * @param pageNumber
 * @param pageSize
 * @returns {*}
 */
export function expDeptAcountHandle(form, pageNumber, pageSize) {
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}

/**
 * 快递账号数据处理
 * @param form
 * @param pageNumber
 * @param pageSize
 * @returns {*}
 */
export function recListHandle(form, pageNumber, pageSize) {
  form.createBeginTime = form.dataTime[0]
  form.createEndTime = form.dataTime[1]
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}
